# Draw
TKDraw
Draw

# Draw_Text3D Class Reference

`#include <Draw_Text3D.hxx>`

Inheritance diagram for Draw_Text3D:

[legend]

## Public Member Functions

Standard_EXPORT | Draw_Text3D (const gp_Pnt &p, const Standard_CString T, const Draw_Color &col)
Standard_EXPORT | Draw_Text3D (const gp_Pnt &p, const Standard_CString T, const Draw_Color &col, const Standard_Real moveX, const Standard_Real moveY)
Standard_EXPORT void | SetPnt (const gp_Pnt &p)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Pnt | myPoint
Draw_Color | myColor
TCollection_AsciiString | myText
Standard_Real | mymoveX
Standard_Real | mymoveY

## Constructor & Destructor Documentation

Standard_EXPORT Draw_Text3D::Draw_Text3D | ( | const gp_Pnt & | p,
|  | const Standard_CString | T,
|  | const Draw_Color & | col
| ) |

Standard_EXPORT Draw_Text3D::Draw_Text3D | ( | const gp_Pnt & | p,
|  | const Standard_CString | T,
|  | const Draw_Color & | col,
|  | const Standard_Real | moveX,
|  | const Standard_Real | moveY
| ) |

## Member Function Documentation

Standard_EXPORT void Draw_Text3D::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

Standard_EXPORT const Draw_Text3D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void Draw_Text3D::SetPnt | ( | const gp_Pnt & | p | ) |

## Field Documentation

Draw_Color Draw_Text3D::myColor `[private]`

Standard_Real Draw_Text3D::mymoveX `[private]`

Standard_Real Draw_Text3D::mymoveY `[private]`

gp_Pnt Draw_Text3D::myPoint `[private]`

TCollection_AsciiString Draw_Text3D::myText `[private]`

The documentation for this class was generated from the following file:

- Draw_Text3D.hxx